#

Function SLEEP

Syntax:

sleep seconds => nil

Arguments and Values:

seconds---a non-negative real.

Description:

Causes execution to cease and become dormant for approximately the seconds of real time indicated by seconds, whereupon execution is resumed.

Examples:

     (sleep 1) =>  NIL

    ;; Actually, since SLEEP is permitted to use approximate timing,
    ;; this might not always yield true, but it will often enough that
    ;; we felt it to be a productive example of the intent.
     (let ((then (get-universal-time))
           (now  (progn (sleep 10) (get-universal-time))))
       (>= (- now then) 10))
    =>  true

Side Effects:

Causes processing to pause.

Affected By:

The granularity of the scheduler.

Exceptional Situations:

Should signal an error of type type-error if seconds is not a non-negative real.

See Also: None.

Notes: None.

Copyright 1996-2001, Xanalys Inc. All rights reserved.